Put Reservations

Put Reservations

update the maintenance window for this SDDC

Request
URI
PUT
https://vmc.vmware.com/vmc/api/orgs/{org}/reservations/{reservation}/mw
COPY
Path Parameters
string
org
Required

Organization identifier.

string
reservation
Required

Reservation Identifier


Request Body

Maintenance Window

MaintenanceWindow of type(s) application/json
Required
{
    "hour_of_day": 0,
    "day_of_week": "string"
}
integer As int32 As int32
hour_of_day
Optional

hour_of_day

string
day_of_week
Optional

day_of_week

Possible values are : SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY,
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MaintenanceWindow of type(s) application/json
{
    "hour_of_day": 0,
    "day_of_week": "string"
}
integer As int32 As int32
hour_of_day
Optional

hour_of_day

string
day_of_week
Optional

day_of_week

Possible values are : SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY,

400

The reservation is not in a state that's valid for updates

Returns ErrorResponse of type(s) application/json
{
    "retryable": false,
    "path": "string",
    "error_code": "string",
    "error_messages": [
        "string"
    ],
    "status": 0
}
boolean
retryable
Required

If true, client should retry operation

string
path
Required

Originating request URI

string
error_code
Required

unique error code

array of string
error_messages
Required

localized error messages

integer
status
Required

HTTP status code


401

Unauthorized

Operation doesn't return any data structure

403

Access not allowed to the operation for the current user

Returns ErrorResponse of type(s) application/json
{
    "retryable": false,
    "path": "string",
    "error_code": "string",
    "error_messages": [
        "string"
    ],
    "status": 0
}
boolean
retryable
Required

If true, client should retry operation

string
path
Required

Originating request URI

string
error_code
Required

unique error code

array of string
error_messages
Required

localized error messages

integer
status
Required

HTTP status code


409

Conflict with exiting reservation

Returns ErrorResponse of type(s) application/json
{
    "retryable": false,
    "path": "string",
    "error_code": "string",
    "error_messages": [
        "string"
    ],
    "status": 0
}
boolean
retryable
Required

If true, client should retry operation

string
path
Required

Originating request URI

string
error_code
Required

unique error code

array of string
error_messages
Required

localized error messages

integer
status
Required

HTTP status code